# shiftregister

![kontakt logo with its left half rotated 180 degrees, resembling the left shift operator](assets/tonkakt.svg)

## project setup

* make sure python 3.11 or 3.10 is installed
* install `python-psycopg2` system wide
* `python -m venv env`
* `. env/bin/activate`
* comment out librabbitmq in requirements.txt when using python 3.11
* `pip install -r requirements.txt`
* `./manage.py migrate`
* `./manage.py createsuperuser`
* `./manage.py runserver`
* start message queue with `docker-compose up -d broker result-backend`
* start runner with `celery -A shiftregister worker -B`
* add calendars at http://127.0.0.1:8000/admin/importer/calendar/add/
* change event state to 'event is running' at http://127.0.0.1:8000/admin/dynamic_preferences/globalpreferencemodel/3/change/
