from django.contrib import admin
from .models import IncomingMessage

# Register your models here.


@admin.register(IncomingMessage)
class IncomingMessageAdmin(admin.ModelAdmin):
    list_display = ("sender", "created_at")
    readonly_fields = ("id", "sender", "content", "created_at", "read")
